Option Explicit

Global Const DATABASE_NAME = "docs.mdb"
Global Const CONNECT_STRING = ""
Global Const OLE_MAX_VERBS = 10

Global Const DOCUMENT_TYPE_ACCESS1XOLE = 0
Global Const DOCUMENT_TYPE_OLE2 = 1
Global Const DOCUMENT_TYPE_MAX = 1

Global MDINew As Integer
Global db As Database
Global sDocumentName As String
Global iDocumentType As Integer

'Ole constants
'Comment out if already defined
Global Const OLE_ACTIVATE = 7
Global Const OLE_DELETE = 10
Global Const OLE_FETCH_VERBS = 17
Global Const OLE_INSERT_OBJ_DLG = 14
Global Const OLE_NONE = 3
Global Const OLE_CHANGED = 0

Sub Main ()
    'Change file path to this app and supply nicer title
    ChDir app.Path
    app.Title = "VB Ole Access Demo"

    'Open the access database, constants set in OLE2MOD2
    On Error GoTo ErrorOpeningDatabase
    Set db = OpenDatabase(DATABASE_NAME, False, False, CONNECT_STRING)

    frmMain.Show

    Exit Sub

ErrorOpeningDatabase:
    If DATABASE_NAME <> "" Then
        MsgBox ("Could not open " + DATABASE_NAME + "!")
        MsgBox ("Error " + Error)
    Else
        MsgBox ("Could not connect to " + CONNECT_STRING + "!")
        MsgBox ("Error " + Error)
    End If
    End
End Sub

